FROM python:3.7-slim-stretch

RUN apt-get update -y && \
    apt-get install -y python3-pip python3-dev postgresql-common libpq-dev && \
    apt-get clean && \
    pip3 install --upgrade pip setuptools wheel && \
    true


# Pre-install important pip packages (for speedup during the application setup on developper machine)
RUN set -eux ; \
    pip3 install --upgrade pip setuptools wheel setuptools_scm && \
    pip3 install lxml cryptography click pyramid pyramid_jinja2 pyramid_debugtoolbar wtforms alembic waitress SQLAlchemy transaction psycopg2_binary numpy astropy astroquery WTForms WTForms-Alchemy && \
    pip3 install pyramid-retry pyramid-tm psycopg2 zope.sqlalchemy pyramid-wtforms repoze.sendmail pyramid-mailer && \
    true


ADD . /app
WORKDIR /app
RUN pip3 install -e .

ARG APPCONFFILE=production.ini
RUN cp -v $APPCONFFILE docker.ini

ARG IMAGE_TAG
ENV IMAGE_TAG=$IMAGE_TAG

CMD ["sh", "run-jmdc-ui.sh", "docker.ini" ] 
